Curves
These endpoints find curves and return their metadata. Paths are relative to the base URL
https://data-forecasts.volue.com/api/v1/timeseries. The response format is described in
Curve types.
Search for curves
Section titled “Search for curves”GET /curvesSearch for curves and get a list of matches.
Parameters
Section titled “Parameters”| Name | Type | Description |
|---|---|---|
query |
string | Free text search |
id |
integer | Filter by one or more curve IDs |
name |
string | Filter by one or more curve names |
commodity |
string | Filter by one or more commodity keys |
category |
string | Filter by one or more category keys |
area |
string | Filter by one or more area keys |
station |
string | Filter by one or more station keys |
source |
string | Filter by one or more source keys |
scenario |
string | Filter by one or more scenario keys |
unit |
string | Filter by one or more unit keys |
time_zone |
string | Filter by one or more time zone keys |
version |
string | Filter by one or more model/curve version keys |
frequency |
string | Filter by one or more frequency keys |
data_type |
string | Filter by one or more data types |
curve_state |
string | Filter by one or more curve states |
modified_since |
string | Return curves modified at or after this date |
limit |
integer | Limit the number of curves returned |
offset |
integer | Start returning results from this offset |
only_accessible |
boolean | Only return curves you have data access to |
To filter by more than one value, repeat the parameter:
curl -G -H "Authorization: Bearer $TOKEN" \ https://data-forecasts.volue.com/api/v1/timeseries/curves \ --data-urlencode "name=pro de wnd ec00 mwh/h cet min15 f" \ --data-urlencode "name=pro de spv ec00 mwh/h cet min15 f"Get a single curve
Section titled “Get a single curve”GET /curves/getGet a single curve by ID or name.
Parameters
Section titled “Parameters”| Name | Type | Description |
|---|---|---|
id |
integer | Fetch by curve ID |
name |
string | Fetch by curve name |
curl -G -H "Authorization: Bearer $TOKEN" \ https://data-forecasts.volue.com/api/v1/timeseries/curves/get \ --data-urlencode "name=pro de wnd ec00 mwh/h cet min15 f"Get access information for a curve
Section titled “Get access information for a curve”GET /curves/{id}/accessGet the date intervals in which you have access to data for this curve. Returns a list of ranges.
Path parameters
Section titled “Path parameters”| Name | Type | Description | Required |
|---|---|---|---|
id |
integer | Curve ID | Yes |
Was this page helpful?Thanks for your feedback!